HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable install patch

 
Dags
Frequent Advisor

Unable install patch

I'm having this error. Anyone here know what to do? Thanks in advance.
ERROR: The software selection ││
│ │ "PHCO_31607.SECURITY2,r=1.0,a=HP-UX_B.11.23_IA/PA,v=HP,fr=1.0,fa ││
│ │ is not available. Make sure its state is "AVAILABLE".
12 REPLIES
Dags
Frequent Advisor

Re: Unable install patch

BTW my os version is 11.23
Ivan Krastev
Honored Contributor

Re: Unable install patch

How did you prepare the depot with this patch? Check for dependencies and if it is necessary download the patch and add it to the depot.

regards,
ivan
Dags
Frequent Advisor

Re: Unable install patch

i selected the patches that i need together with its dependencies. then downloaded the bundled tar.
sen_ux
Valued Contributor

Re: Unable install patch

What is the command line you are using to install the patch.?
Ivan Krastev
Honored Contributor

Re: Unable install patch

Try to download patch manually and add it to the depot.

regards,
ivan
Dags
Frequent Advisor

Re: Unable install patch

swinstall -s /home/sysad1/patch1/depot
Dags
Frequent Advisor

Re: Unable install patch

Try to download patch manually and add it to the depot.

Done that sir. Thanks anyway.
johnsonpk
Honored Contributor

Re: Unable install patch

Hi Dags,

What patch you are installing ?

The PHCO_31607 may be a dependancy for your patch.

Verify the presence of patch by

swlist -l patch -a state |grep PHCO_31607
,If it is not present ,download and install.

Please attach your swinstall.log for more detailed look


Thanks!!
Johnson
Dags
Frequent Advisor

Re: Unable install patch

# swlist -l patch -a state |grep PHCO_31607
# PHCO_31607
# PHCO_31607.SECURITY2 configured
PHCO_31607.SECURITY2 configured


Attached is the swinstall.log. Thanks for helping guys. I'm going home now, I'll be replying later. Thanks again.
Sajjad Sahir
Honored Contributor

Re: Unable install patch

Dear Freind

Can u restart the daemon and try to once more, if u are facing problem again, please revert it back

#/sbin/init.d/swagentd start

thanks and regards

Sajjad Sahir

Re: Unable install patch

>Attached is the swinstall.log.

It has allow_downdate true. Why?
And autoreboot false. You most likely need true.
distribution_source_directory EDIAPD01:/home/sysad1/new/PHKL_31500.depot

Why install this 4+year old patch? Fooling with PHKL_31500 can destroy your system!

Unfortunately your log doesn't have the details of what's wrong.

Dags
Frequent Advisor

Re: Unable install patch

Case solved by our senior sysad. Thank you all for helping.